# factory.hpp File Reference

Factory to 'query' all available blitters. More...

`#include "base.hpp"`
`#include "../debug.h"`
`#include "../string_func.h"`
`#include "../core/string_compare_type.hpp"`
`#include <map>`

Go to the source code of this file.

## Data Structures
class | BlitterFactoryBase
| The base factory, keeping track of all blitters. More...
class | BlitterFactory< T >
| A template factory, so ->GetName() works correctly. More...
## Variables
char * | _ini_blitter

## Detailed Description

Factory to 'query' all available blitters.

Definition in file factory.hpp.